<html>
<head>
<title>OGRE: OgreLog.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreLog.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>

<p>
<a href="OgreLog_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogListener.html">Ogre::LogListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Pure Abstract class, derive this class and register to the <a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> to listen to log messages </dd></dl>
 <a href="classOgre_1_1LogListener.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> class for writing debug/log data to files. </dd></dl>
 <a href="classOgre_1_1Log.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreLog_8h.html#afd348d0e141380ecf8d7b57a65652d7">OGRE_LOG_THRESHOLD</a>&nbsp;&nbsp;&nbsp;4</td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">Ogre::LoggingLevel</a> { <a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6bc3ff7e1e5965d9c0116088cd7bc77c9f">Ogre::LL_LOW</a> =  1, 
<a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6bfc58e360523f5eb025af8e681ef494ef">Ogre::LL_NORMAL</a> =  2, 
<a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6beed15d58e0e6e1eaa9d23039e5fc546c">Ogre::LL_BOREME</a> =  3
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The level of detail to which the log will go into.  <a href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">Ogre::LogMessageLevel</a> { <a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d370f32b6cd8e47d4f41d645224700097">Ogre::LML_TRIVIAL</a> =  1, 
<a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268db6d5702e6462875fcbc1b5aff2497d2e">Ogre::LML_NORMAL</a> =  2, 
<a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d5210f9fef7f2093878f02f2757606f33">Ogre::LML_CRITICAL</a> =  3
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The importance of a logged message.  <a href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">More...</a><br></td></tr>
</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="afd348d0e141380ecf8d7b57a65652d7"></a><!-- doxytag: member="OgreLog.h::OGRE_LOG_THRESHOLD" ref="afd348d0e141380ecf8d7b57a65652d7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_LOG_THRESHOLD&nbsp;&nbsp;&nbsp;4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00038">38</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
